> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Pathways Pathways

> Retrieve related pathway pairs from Reactome.

Set verbose = true to retrieve full info on the pathway pairs.

At least one of these fields is required: pathway_id, pathway_name, or name_aliases.

Example: pathway_id = R-HSA-164843,

pathway_name = 2-LTR circle formation,

name_aliases = 2-LTR circle formation,

disease_ontology_terms = DOID_526,

go_biological_process = GO_0006015.

The limit parameter controls the page size and can not exceed 500.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /pathways/pathways
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /pathways/pathways:
    get:
      summary: Pathways Pathways
      description: >-
        Retrieve related pathway pairs from Reactome.


        Set verbose = true to retrieve full info on the pathway pairs.


        At least one of these fields is required: pathway_id, pathway_name, or
        name_aliases.


        Example: pathway_id = R-HSA-164843,


        pathway_name = 2-LTR circle formation,


        name_aliases = 2-LTR circle formation,


        disease_ontology_terms = DOID_526,


        go_biological_process = GO_0006015.


        The limit parameter controls the page size and can not exceed 500.


        Pagination is 0-based.
      operationId: pathwaysFromPathways
      parameters:
        - name: pathway_id
          in: query
          required: false
          schema:
            type: string
        - name: pathway_name
          in: query
          required: false
          schema:
            type: string
        - name: name_aliases
          in: query
          required: false
          schema:
            type: string
        - name: disease_ontology_terms
          in: query
          required: false
          schema:
            type: string
        - name: go_biological_process
          in: query
          required: false
          schema:
            type: string
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Homo sapiens
            default: Homo sapiens
        - name: verbose
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            default: 'false'
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    source:
                      type: string
                    source_url:
                      type: string
                    orgnism:
                      type: string
                    parent_pathway:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            _id:
                              type: string
                            name:
                              type: string
                            organism:
                              type: string
                            source:
                              type: string
                            source_url:
                              type: string
                            id_version:
                              type: string
                            is_in_disease:
                              type: boolean
                            name_aliases:
                              type: array
                              items:
                                type: string
                            is_top_level_pathway:
                              type: boolean
                            disease_ontology_terms:
                              type: array
                              items:
                                type: string
                              nullable: true
                            go_biological_process:
                              type: string
                              nullable: true
                          required:
                            - _id
                            - name
                            - organism
                            - source
                            - source_url
                            - id_version
                            - is_in_disease
                            - name_aliases
                            - is_top_level_pathway
                            - disease_ontology_terms
                            - go_biological_process
                          additionalProperties: false
                    child_pathway:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            _id:
                              type: string
                            name:
                              type: string
                            organism:
                              type: string
                            source:
                              type: string
                            source_url:
                              type: string
                            id_version:
                              type: string
                            is_in_disease:
                              type: boolean
                            name_aliases:
                              type: array
                              items:
                                type: string
                            is_top_level_pathway:
                              type: boolean
                            disease_ontology_terms:
                              type: array
                              items:
                                type: string
                              nullable: true
                            go_biological_process:
                              type: string
                              nullable: true
                          required:
                            - _id
                            - name
                            - organism
                            - source
                            - source_url
                            - id_version
                            - is_in_disease
                            - name_aliases
                            - is_top_level_pathway
                            - disease_ontology_terms
                            - go_biological_process
                          additionalProperties: false
                    name:
                      type: string
                  required:
                    - name
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````